issues installing liblognorm for LogAnalyzer

Everything which is related to the installation of phpLogCon.

Google Ads


issues installing liblognorm for LogAnalyzer

Postby mjdano » Sat Jul 23, 2011 8:19 pm

First off I'm fairly new to Linux so I'm sorry if I ask questions that I really should know. I'm trying to install LogAnalyzer on a Ubuntu 11.04. For the prereq's part I'm following these directions http://www.liblognorm.com/help/first-st ... iblognorm/ but I'm having no luck withe the second step. I can get libestr to work correctly but when I try and run the commands for libee I'm getting these errors.

./configure: line 10706: syntax error near unexpected token `LIBESTR,'
./configure: line 10706: `PKG_CHECK_MODULES(LIBESTR, libestr >= 0.0.0)'

now not knowing a whole lot about Linux my guess is that the libestr is not in the right path for where the libee commands are looking. So if anybody can point me in the right direction that would be great.
mjdano
New
 
Posts: 2
Joined: Sat Jul 23, 2011 7:54 pm

Urgent Question?

  • Pulling out your Hair?
  • Wasting Time and Money?
  • Deadline Approaching?

Re: issues installing liblognorm for LogAnalyzer

Postby rgerhards » Sun Jul 24, 2011 4:37 pm

I guess the pkgconfig package is missing.

BUT: you do not need libestr to run loganalyzer! It's a php-only application.
rgerhards
Site Admin
 
Posts: 3806
Joined: Thu Feb 13, 2003 11:57 am

Re: issues installing liblognorm for LogAnalyzer

Postby mjdano » Sun Jul 24, 2011 9:42 pm

I was trying to use the rsyslog mmnormalize module with LogAnalyzer and the directions from the LogAnalyzer site said this is a requirement. I believe that if I set up LogAnalyzer with out configuring the mmnormalize module then this will work ok.
mjdano
New
 
Posts: 2
Joined: Sat Jul 23, 2011 7:54 pm

Google Ads



Return to Installation

Who is online

Users browsing this forum: No registered users and 0 guests

cron